


fn main() -> anyhow::Result<()> {
    let data = std::fs::read_to_string("test.mcl").unwrap();

    let tokens = mclangc::tokeniser::tokenise(&data)?;
    let prog = parser::parse_program(tokens)?;
    validator::validate_code(&prog);
    Ok(())
}
